; ---- Mem functions for GABasic
; Gabriel Fernandez

; --- MemCopy routines
; EAX - DEST
; EBX - SRC
; ECX - times

Memcopy:
  mov esi, eax
  mov edi, ebx
  rep movsb
RET

Memcopyw:
  mov esi, eax
  mov edi, ebx
  rep movsw
RET

Memcopyd:
  mov esi, eax
  mov edi, ebx
  rep movsd
RET

; --- MemFill routines
; EAX - Char
; EBX - Dest
; ECX - times

Memfill:
  mov edi, ebx
  rep stosb
RET

Memfillw:
  mov edi, ebx
  rep stosw
RET

Memfilld:
  mov edi, ebx
  rep stosd
RET

